﻿using C1.Win.C1FlexGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlexThemeTest
{
  public class CustomGrid : C1FlexGrid
  {
    /// <summary>
    /// Workaround: prevent "Highlight" headers for non selected cols.
    /// </summary>
    /// <param name="e"></param>
    protected override void OnOwnerDrawCell(OwnerDrawCellEventArgs e)
    {
      //If current cell has style "Selected column header"....
      if (e.Style.Name == this.Styles.SelectedColumnHeader.Name)
      {
        //If current cell is not the grid col...
        if (this.Col != e.Col)
        {
          //Reset style to "fixed"
          e.Style = this.Styles.Fixed;
        }
      }
      base.OnOwnerDrawCell(e);
    }


  }
}
